Package org.jbpm.process.audit.query

## Class NodeInstLogQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>
    - - org.jbpm.process.audit.query.NodeInstLogQueryBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`, `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder>`, `org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`, `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`, `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`, `org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`

      public class NodeInstLogQueryBuilderImpl
      extends AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>
      implements org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeInstLogQueryBuilderImpl​(JPAAuditLogService jpaAuditService)` |
    `NodeInstLogQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Class<NodeInstanceLog>` | `getQueryType()` |
    `protected Class<org.kie.api.runtime.manager.audit.NodeInstanceLog>` | `getResultType()` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeId​(String... nodeId)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeInstanceId​(String... nodeInstanceId)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeName​(String... name)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeType​(String... type)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `workItemId​(long... workItemId)` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `ascending, build, date, dateRangeEnd, dateRangeStart, descending, getJpaAuditLogService, processId, processInstanceId, processInstanceIdRange`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `ascending, descending`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder

      `date, dateRangeEnd, dateRangeStart`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Constructor Detail

    - #### NodeInstLogQueryBuilderImpl

          public NodeInstLogQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdService)

    - #### NodeInstLogQueryBuilderImpl

          public NodeInstLogQueryBuilderImpl​(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### nodeInstanceId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeInstanceId​(String... nodeInstanceId)

      Specified by:
        `nodeInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### nodeId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeId​(String... nodeId)

      Specified by:
        `nodeId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### nodeName

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeName​(String... name)

      Specified by:
        `nodeName` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### nodeType

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeType​(String... type)

      Specified by:
        `nodeType` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### workItemId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder workItemId​(long... workItemId)

      Specified by:
        `workItemId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder`

    - #### getResultType

          protected Class<org.kie.api.runtime.manager.audit.NodeInstanceLog> getResultType()

      Specified by:
        `getResultType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`

    - #### getQueryType

          protected Class<NodeInstanceLog> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder,​org.kie.api.runtime.manager.audit.NodeInstanceLog>`